SimpleDescriptionImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.example.impl

## Class SimpleDescriptionImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.DescriptiveFrameworkImpl
    - - tv.amwa.maj.extensions.example.impl.SimpleDescriptionImpl

- All Implemented Interfaces:
    Serializable, Cloneable, CommonConstants, SimpleDescription, MediaEntity, MetadataObject, XMLSerializable, DescriptiveFramework, InterchangeObject

      @MediaClass(definedName="SimpleDescription",
                  uuid1=253759745,
                  uuid2=257,
                  uuid3=0,
                  uuid4={6,14,43,52,2,83,1,1},
                  description="Very basic description of an item, based on a few Dublin Core terms.",
                  namespace="http://amwa.tv/maj/extensions/example",
                  prefix="eg",
                  symbol="SimpleDescription")
      public class SimpleDescriptionImpl
      extends DescriptiveFrameworkImpl
      implements SimpleDescription, CommonConstants, Serializable, XMLSerializable, Cloneable

  Very basic description of an item, based on a few Dublin Core terms. Implementation.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

    - ### Fields inherited from interface tv.amwa.maj.constant.CommonConstants

      `AAF_METADICT_NAMESPACE, AAF_METADICT_PREFIX, AAF_XML_NAMESPACE, AAF_XML_PREFIX, ApplicationPluginObjectID, ApplicationPluginsID, MAX_NUM_RGBA_COMPS, MemberOfID, ObjectClassID, ParentClassID, PropertiesID, XMLClassIDAsAttributeName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleDescriptionImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleDescription` | `clone()` All descriptive frameworks must be cloneable to allow them to be used as strong references within `descriptive markers`.
    `Contributor` | `getCreator()` Returns the an entity primarily responsible for making the resource.
    `DateStruct` | `getDateAccepted()` Returns the date of acceptance of the resource.
    `String` | `getIdentifier()` Returns the an unambiguous reference to the resource within a given context.
    `String` | `getTitle()` Returns the a name given to the resource.
    `DCMIType` | `getType()` Returns the identity of the genre of the resource.
    `void` | `setCreator(Contributor creator)` Sets the an entity primarily responsible for making the resource.
    `void` | `setDateAccepted(DateStruct dateAccepted)` Sets the date of acceptance of the resource.
    `void` | `setIdentifier(String identifier)` Sets the an unambiguous reference to the resource within a given context.
    `void` | `setTitle(String title)` Sets the a name given to the resource.
    `void` | `setType(DCMIType type)` Sets the identity of the genre of the resource.

    - ### Methods inherited from class tv.amwa.maj.model.impl.DescriptiveFrameworkImpl

      `getLinkedDescriptiveFrameworkPluginID, setLinkedDescriptiveFrameworkPluginID`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getComment, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.DescriptiveFramework

      `getLinkedDescriptiveFrameworkPluginID, setLinkedDescriptiveFrameworkPluginID`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.io.xml.XMLSerializable

      `appendXMLChildren, getComment`

- - ### Constructor Detail

    - #### SimpleDescriptionImpl

          public SimpleDescriptionImpl()

  - ### Method Detail

    - #### getTitle

          @MediaProperty(definedName="Title",
                         uuid1=253759745,
                         uuid2=257,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,1},
                         typeName="UTF16String",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=0,
                         description="A name given to the resource.",
                         symbol="Title")
          public String getTitle()

      Description copied from interface: `SimpleDescription`

      Returns the a name given to the resource.

      Specified by:
        `getTitle` in interface `SimpleDescription`
      Returns:
        A name given to the resource.

    - #### setTitle

          @MediaPropertySetter(value="Title")
          public void setTitle(String title)
                                                            throws NullPointerException

      Description copied from interface: `SimpleDescription`

      Sets the a name given to the resource.

      Specified by:
        `setTitle` in interface `SimpleDescription`
      Parameters:
        `title` - A name given to the resource.
      Throws:
        `NullPointerException` - Cannot set the required title with a `null` value.

    - #### getCreator

          @MediaProperty(definedName="Creator",
                         uuid1=253759745,
                         uuid2=257,
                         uuid3=1280,
                         uuid4={6,14,43,52,1,1,1,1},
                         typeName="ContributorStrongReference",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         description="An entity primarily responsible for making the resource.",
                         symbol="Creator")
          public Contributor getCreator()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                throws PropertyNotPresentException

      Description copied from interface: `SimpleDescription`

      Returns the an entity primarily responsible for making the resource.

      This is an optional property.

      Specified by:
        `getCreator` in interface `SimpleDescription`
      Returns:
        An entity primarily responsible for making the resource.
      Throws:
        `PropertyNotPresentException` - The optional creator property is not present for this simple description.

    - #### setCreator

          @MediaPropertySetter(value="Creator")
          public void setCreator(Contributor creator)

      Description copied from interface: `SimpleDescription`

      Sets the an entity primarily responsible for making the resource.

      Set this optional property to `null` to omit it.

      Specified by:
        `setCreator` in interface `SimpleDescription`
      Parameters:
        `creator` - An entity primarily responsible for making the resource.

    - #### getIdentifier

          @MediaProperty(definedName="Identifier",
                         uuid1=253759745,
                         uuid2=257,
                         uuid3=768,
                         uuid4={6,14,43,52,1,1,1,1},
                         typeName="UTF16String",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=0,
                         description="An unambiguous reference to the resource within a given context.",
                         symbol="Identifier")
          public String getIdentifier()

      Description copied from interface: `SimpleDescription`

      Returns the an unambiguous reference to the resource within a given context.

      Specified by:
        `getIdentifier` in interface `SimpleDescription`
      Returns:
        An unambiguous reference to the resource within a given context.

    - #### setIdentifier

          @MediaPropertySetter(value="Identifier")
          public void setIdentifier(String identifier)
                                                                      throws NullPointerException

      Description copied from interface: `SimpleDescription`

      Sets the an unambiguous reference to the resource within a given context.

      Specified by:
        `setIdentifier` in interface `SimpleDescription`
      Parameters:
        `identifier` - An unambiguous reference to the resource within a given context.
      Throws:
        `NullPointerException` - Cannot set the required identifier with a `null` value.

    - #### getType

          @MediaProperty(definedName="Type",
                         uuid1=253759745,
                         uuid2=257,
                         uuid3=1024,
                         uuid4={6,14,43,52,1,1,1,1},
                         typeName="DCMIType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         description="Identity of the genre of the resource.",
                         symbol="Type")
          public DCMIType getType()
                                                                                                                                                                                                                                                                                                                                                                                                                                throws PropertyNotPresentException

      Description copied from interface: `SimpleDescription`

      Returns the identity of the genre of the resource.

      This is an optional property.

      Specified by:
        `getType` in interface `SimpleDescription`
      Returns:
        Identity of the genre of the resource.
      Throws:
        `PropertyNotPresentException` - The optional type property is not present for this simple description.

    - #### setType

          @MediaPropertySetter(value="Type")
          public void setType(DCMIType type)

      Description copied from interface: `SimpleDescription`

      Sets the identity of the genre of the resource.

      Set this optional property to `null` to omit it.

      Specified by:
        `setType` in interface `SimpleDescription`
      Parameters:
        `type` - Identity of the genre of the resource.

    - #### getDateAccepted

          @MediaProperty(definedName="DateAccepted",
                         uuid1=253759745,
                         uuid2=257,
                         uuid3=512,
                         uuid4={6,14,43,52,1,1,1,1},
                         typeName="DateStruct",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         description="Date of acceptance of the resource.",
                         symbol="DateAccepted")
          public DateStruct getDateAccepted()
                                                                                                                                                                                                                                                                                                                                                                                                                                                        throws PropertyNotPresentException

      Description copied from interface: `SimpleDescription`

      Returns the date of acceptance of the resource.

      This is an optional property.

      Specified by:
        `getDateAccepted` in interface `SimpleDescription`
      Returns:
        Date of acceptance of the resource.
      Throws:
        `PropertyNotPresentException` - The optional date accepted property is not present for this simple description.

    - #### setDateAccepted

          @MediaPropertySetter(value="DateAccepted")
          public void setDateAccepted(DateStruct dateAccepted)

      Description copied from interface: `SimpleDescription`

      Sets the date of acceptance of the resource.

      Set this optional property to `null` to omit it.

      Specified by:
        `setDateAccepted` in interface `SimpleDescription`
      Parameters:
        `dateAccepted` - Date of acceptance of the resource.

    - #### clone

          public SimpleDescription clone()

      Description copied from class: `DescriptiveFrameworkImpl`

      All descriptive frameworks must be cloneable to allow them to be used as strong references within `descriptive markers`.

      Specified by:
        `clone` in interface `SimpleDescription`
      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `DescriptiveFramework`
      Specified by:
        `clone` in interface `InterchangeObject`
      Overrides:
        `clone` in class `DescriptiveFrameworkImpl`
      Returns:
        Cloned copy of this interchange object.
      See Also:
        `Object.clone()`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.